﻿

namespace avalonia_second_practic.ViewModels
{
    public class Authorization
    {
        /// <summary>
        /// Верификация пользователя
        /// </summary>
        /// <param name="emailForCheck">вводимый пользователем email</param>
        /// <param name="passwordForCheck">вводимый пользователем пароль</param>
        /// <param name="realUserEmail">email существующего пользователя</param>
        /// <param name="realUserpassword">пароль существующего пользователя</param>
        /// <returns>
        /// true - значения совпали
        /// </returns>
        public bool VeryfiUserWithEmail(string emailForCheck, string passwordForCheck, string realUserEmail, string realUserpassword) =>
            VeryfiEmail(emailForCheck,realUserEmail) && VeryfiPassword(passwordForCheck, realUserpassword);

        /// <summary>
        /// Верификация email
        /// </summary>
        /// <param name="emailForCheck">вводимый пользователем email</param>
        /// <param name="realUserEmail">email существующего пользователя</param>
        /// <returns>
        /// true - значения совпали
        /// </returns>
        public bool VeryfiEmail(string emailForCheck, string realUserEmail) =>
        emailForCheck.Trim() == realUserEmail.Trim();

        /// <summary>
        /// Верификация пароля
        /// </summary>
        /// <param name="passwordForCheck">вводимый пользователем пароль</param>
        /// <param name="realUserpassword">пароль существующего пользователя</param>
        /// <returns>
        /// true - значения совпали
        /// </returns>
        public bool VeryfiPassword(string passwordForCheck, string realUserpassword) =>
        passwordForCheck.Trim() == realUserpassword.Trim();

    }
}
